IntDialog Class Reference

Integration options dialog. More...

`#include <IntDialog.h>`

Inheritance diagram for IntDialog:

## Public Member Functions

| IntDialog (QWidget *parent=0, Graph *g=0, Qt::WFlags fl=0)

## Private Slots

void | accept ()
void | clearFunction ()
void | insertFunction ()
void | showFunctionLog ()

## Private Member Functions

bool | validInput (const QString &function)

## Private Attributes

QPushButton * | addFunctionBtn
DoubleSpinBox * | boxEnd
ScriptEdit * | boxFunction
QComboBox * | boxMathFunctions
QCheckBox * | boxPlot
DoubleSpinBox * | boxStart
QSpinBox * | boxSteps
DoubleSpinBox * | boxTol
QLineEdit * | boxVariable
QPushButton * | buttonCancel
QPushButton * | buttonClear
QPushButton * | buttonFunctionLog
QPushButton * | buttonOk
Graph * | d_graph

## Detailed Description

Integration options dialog.

## Constructor & Destructor Documentation

IntDialog::IntDialog | ( | QWidget * | parent = `0`,
|  | Graph * | g = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), addFunctionBtn, boxEnd, boxFunction, boxMathFunctions, boxPlot, boxStart, boxSteps, boxTol, boxVariable, buttonCancel, buttonClear, buttonFunctionLog, buttonOk, clearFunction(), ScriptEdit::enableShortcuts(), MyParser::functionsList(), insertFunction(), DoubleSpinBox::setMinimum(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), and showFunctionLog().

## Member Function Documentation

void IntDialog::accept | ( |  | ) |

private slot

References boxEnd, boxFunction, boxPlot, boxStart, boxSteps, boxTol, boxVariable, d_graph, Filter::enableGraphicsDisplay(), Filter::error(), Filter::run(), Filter::setTolerance(), Integration::setWorkspaceSize(), ApplicationWindow::updateFunctionLists(), validInput(), and DoubleSpinBox::value().

Referenced by IntDialog().

void IntDialog::clearFunction | ( |  | ) |

private slot

References boxFunction.

Referenced by IntDialog().

void IntDialog::insertFunction | ( |  | ) |

private slot

References boxFunction, boxMathFunctions, and ScriptEdit::insertFunction().

Referenced by IntDialog().

void IntDialog::showFunctionLog | ( |  | ) |

private slot

References boxFunction, and ApplicationWindow::d_recent_functions.

Referenced by IntDialog().

bool IntDialog::validInput | ( | const QString & | function | ) |

private

References boxEnd, boxStart, boxVariable, and DoubleSpinBox::value().

Referenced by accept().

## Member Data Documentation

QPushButton * IntDialog::addFunctionBtn

private

Referenced by IntDialog().

DoubleSpinBox* IntDialog::boxEnd

private

Referenced by accept(), IntDialog(), and validInput().

ScriptEdit* IntDialog::boxFunction

private

Referenced by accept(), clearFunction(), insertFunction(), IntDialog(), and showFunctionLog().

QComboBox* IntDialog::boxMathFunctions

private

Referenced by insertFunction(), and IntDialog().

QCheckBox* IntDialog::boxPlot

private

Referenced by accept(), and IntDialog().

DoubleSpinBox* IntDialog::boxStart

private

Referenced by accept(), IntDialog(), and validInput().

QSpinBox* IntDialog::boxSteps

private

Referenced by accept(), and IntDialog().

DoubleSpinBox* IntDialog::boxTol

private

Referenced by accept(), and IntDialog().

QLineEdit* IntDialog::boxVariable

private

Referenced by accept(), IntDialog(), and validInput().

QPushButton* IntDialog::buttonCancel

private

Referenced by IntDialog().

QPushButton * IntDialog::buttonClear

private

Referenced by IntDialog().

QPushButton* IntDialog::buttonFunctionLog

private

Referenced by IntDialog().

QPushButton* IntDialog::buttonOk

private

Referenced by IntDialog().

Graph* IntDialog::d_graph

private

Referenced by accept().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/IntDialog.h
- qtiplot/src/analysis/dialogs/IntDialog.cpp